Package Gnumed :: Package wxpython :: Module gmMeasurementWidgets :: Class cMeasurementsAsListPnl |
[frames] | no frames]

# Class cMeasurementsAsListPnl

source code

                                                        wx.Panel --+
                                                                   |
    wxGladeWidgets.wxgMeasurementsAsListPnl.wxgMeasurementsAsListPnl --+
                                                                       |
                                     gmRegetMixin.cRegetOnPaintMixin --+
                                                                       |
                                                                      cMeasurementsAsListPnl

    A class for displaying all measurement results as a simple list.

    - operates on a cPatient instance handed to it and NOT on the currently active patient

Instance Methods
__init__(self, *args, **kwargs) | source code
Inherited from `gmRegetMixin.cRegetOnPaintMixin`: `repopulate_ui`

Class Variables
| patient = `property(_get_patient, _set_patient)`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__